#pragma once
#include "MyFrame.h"
#include "MyWindow.h"
#include "BattlerFacade.h"

namespace et{

	class BattlerWindow : public MyFrame
	{	
		mof::TextureManager* m_pTextureManager;
		et::BattlerFacade* m_pBattler;
		MyWindow* m_pContent;
		int m_timeStamp;

		void resetView();
	public:
		BattlerWindow( mof::TextureManager* pTextureManager , et::BattlerFacade* pBattler );
		virtual ~BattlerWindow(void);
		virtual bool draw();
		virtual bool update();
	};

}
